Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

Trying to install Pokemon Mini emulator on RetroPie



  • Hi, I am running RetroPie 4.2 on a rpi3. I have searched around to see if there was support for the Pokemon Mini emulator on RetroPie. It is not listed in the packages list of course. But, searching on Reddit, someone had asked the same question and a poster mentioned that an emulator called PokeMini was already a part of libretro here.

    So, I followed that link and found the .git file for the emulator. I tried building it using "make" in the libretrocores directory with the rest of the libretro cores. Then I added an entry for it in the es_systems.cfg file which made it show up in the EmulationStation menu but the game (which is a .min file) doesn't boot. It said "Segmentation Fault". I possibly used bad syntax in the es_systems.cfg file? Or is it not possible to add a core in this manner? Was I on the right track at least? lol

    Any help or answers would be appreciated. Thank you.



  • @cecilmcw00t did you ever get this resolved? I too would like to add this to my setup.



  • I decided to put that repository into the form of a setup script, and was able to get it to work fairly easily (albeit without a fullname nor file extensions; this is just because those are seemingly pulled from a file called platforms.cfg and there's no pokemini extensions by default).

    If you're curious, here's the script:

    #!/usr/bin/env bash
    
    # This file is part of The RetroPie Project
    #
    # The RetroPie Project is the legal property of its developers, whose names are
    # too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source.
    #
    # See the LICENSE.md file at the top-level directory of this distribution and
    # at https://raw.githubusercontent.com/RetroPie/RetroPie-Setup/master/LICENSE.md
    #
    
    rp_module_id="lr-pokemini"
    rp_module_desc="Pokemon Mini emulator - PokeMini port for libretro"
    rp_module_help="ROM Extensions: .min .zip\n\nCopy your Pokemon Mini roms to $romdir/pokemini"
    rp_module_section="exp"
    
    function sources_lr-pokemini() {
        gitPullOrClone "$md_build" https://github.com/libretro/pokemini.git
    }
    
    function build_lr-pokemini() {
        make clean
        make
        md_ret_require="$md_build/pokemini_libretro.so"
    }
    
    function install_lr-pokemini() {
        md_ret_files=(
            'pokemini_libretro.so'
        )
    }
    
    function configure_lr-pokemini() {
        mkRomDir "pokemini"
        ensureSystemretroconfig "pokemini"
    
        addEmulator 1 "$md_id" "pokemini" "$md_inst/pokemini_libretro.so"
        addSystem "pokemini"
    }
    

    Just copy this into a file called lr-pokemini.sh and put it in ~/RetroPie-Setup/scriptmodules/libretrocores. Make sure to add this line into the pokemini entry in es_systems manually:

    <extension>.min</extension>
    

    Addendum: I just submitted a PR for this script to RetroPie, so the whole copy procedure might not be necessary if it gets accepted.

    Second Addendum: The PR just got merged, so this process is no longer necessary.



  • @supercatfooz hey thank you! I might just sit this one out and see if the PR gets filled.



  • The PR just got merged! Have fun!



  • @supercatfooz said in Trying to install Pokemon Mini emulator on RetroPie:

    https://github.com/libretro/pokemini.git

    Unfortunately, it's useless as there's no ability to save which is the reason I hadn't submitted my version of this months ago. I was waiting for libretro to fix it.



Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.